﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;
using Infragistics.Controls.Grids.Primitives;

namespace Infragistics.Custom
{
    public class CheckboxStateColumn : Column
    {
        public CheckboxStateColumn()
        {
            // Since there is actually no property to sort, filter, summarize, or groupby on, turn off these features.
            this.IsGroupable = false;
            this.IsSortable = false;
            this.IsFilterable = false;
            this.IsSummable = false;
        }

        public bool isEnabled
        {
          get;
          set;
        }


        // THis makes it so an exception doesn't get thrown, when the XamWebGrid realizes that this Colunn's Key doesn't 
        // correspond with a field in the underlying data. 
        protected override bool RequiresBoundDataKey
        {
            get
            {
                return false;
            }
        }

        // Return our Custom ContentProvider
        protected override ColumnContentProviderBase GenerateContentProvider()
        {
          CheckboxStateColumnContentProvider con = new CheckboxStateColumnContentProvider ();  
          return new CheckboxStateColumnContentProvider();
        }

        // Return our Custom Cell.
        protected override CellBase GenerateDataCell(RowBase row)
        {
            return new CheckboxStateCell(row, this);
        }
    }
}
